LibreOffice LibreOffice 26.2 SDK API Reference

List of all members
TextOutputStream Service Referencepublished

provides functionality to write text data to a com::sun::star::io::XOutputStream that initially has to be passed to the method XActiveDataSource::setOutputStream(). More...

`import"TextOutputStream.idl";`

Inheritance diagram for TextOutputStream:

## Additional Inherited Members
Exported Interfaces inherited from XTextOutputStream2
interface | com::sun::star::io::XTextOutputStream
| Interface to write text data. More...
interface | com::sun::star::io::XActiveDataSource
| Interface to specify the used com::sun::star::io::XOutputStream. More...
Public Member Functions inherited from XTextOutputStream
void | writeString ([in] string aString) raises ( com::sun::star::io::IOException )
| writes a string to the stream using the encoding defined by setEncoding(). More...
void | setEncoding ([in] string Encoding)
| sets character encoding. More...
Public Member Functions inherited from XOutputStream
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream. More...
com::sun::star::io::XOutputStream | getOutputStream ()

## Detailed Description

provides functionality to write text data to a com::sun::star::io::XOutputStream that initially has to be passed to the method XActiveDataSource::setOutputStream().

For details about the text functionality see com::sun::star::io::XTextOutputStream.

The documentation for this service was generated from the following file:

- com/sun/star/io/TextOutputStream.idl